Main Page glibmm Namespaces Book

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- ~

### - r -

- Rand() : Glib::Rand
- raw() : Glib::ustring
- rbegin() : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring
- read() : Glib::IOChannel , Gio::File , Gio::InputStream
- read_all() : Gio::InputStream
- read_async() : Gio::File , Gio::InputStream
- read_byte() : Gio::BufferedInputStream , Gio::DataInputStream
- read_finish() : Gio::File , Gio::InputStream
- read_int16() : Gio::DataInputStream
- read_int32() : Gio::DataInputStream
- read_int64() : Gio::DataInputStream
- read_line() : Glib::IOChannel , Gio::DataInputStream
- read_line_async() : Gio::DataInputStream
- read_line_finish() : Gio::DataInputStream
- read_name() : Glib::Dir
- read_to_end() : Glib::IOChannel
- read_uint16() : Gio::DataInputStream
- read_uint32() : Gio::DataInputStream
- read_uint64() : Gio::DataInputStream
- read_until() : Gio::DataInputStream
- read_until_async() : Gio::DataInputStream
- read_until_finish() : Gio::DataInputStream
- read_vfunc() : Glib::IOChannel , Glib::StreamIOChannel
- reader_lock() : Glib::StaticRWLock
- reader_trylock() : Glib::StaticRWLock
- reader_unlock() : Glib::StaticRWLock
- ReaderLock() : Glib::RWLock::ReaderLock
- receive() : Gio::Socket
- RecMutex() : Glib::RecMutex
- reference() : Glib::Source , Glib::ObjectBase , Glib::Regex , Gio::FileAttributeInfoList , Gio::FileAttributeMatcher , Glib::IOChannel , Glib::MainContext , Glib::MainLoop
- RefPtr() : Glib::RefPtr<T_CppObject>
- Regex() : Glib::Regex
- RegexError() : Glib::RegexError
- release() : Glib::MainContext , Glib::Mutex::Lock , Glib::RecMutex::Lock , Glib::RWLock::ReaderLock , Glib::RWLock::WriterLock
- release_c_type() : Glib::Container_Helpers::TypeTraits<T> , Glib::Container_Helpers::TypeTraits<Glib::RefPtr<Gio::Drive>> , Glib::Container_Helpers::TypeTraits<Glib::RefPtr<Gio::Mount>> , Glib::Container_Helpers::TypeTraits<Glib::RefPtr<Gio::Volume>>
- remount() : Gio::Mount
- remount_finish() : Gio::Mount
- remove() : Glib::ValueArray , Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Gio::File
- remove_attribute() : Gio::FileInfo
- remove_comment() : Glib::KeyFile
- remove_data() : Glib::Object
- remove_group() : Glib::KeyFile
- remove_key() : Glib::KeyFile
- remove_poll() : Glib::MainContext , Glib::Source
- remove_supports_type() : Gio::AppInfo
- rend() : Glib::HelperList<T_Child, T_CppElement, T_Iterator> , Glib::ustring , Glib::HelperList<T_Child, T_CppElement, T_Iterator>
- replace() : Glib::ustring , Gio::File , Glib::ustring , Glib::Regex , Glib::ustring , Glib::Regex , Gio::File
- replace_async() : Gio::File
- replace_contents() : Gio::File
- replace_contents_async() : Gio::File
- replace_contents_finish() : Gio::File
- replace_eval() : Glib::Regex
- replace_finish() : Gio::File
- replace_literal() : Glib::Regex
- reply() : Gio::MountOperation
- reserve() : Glib::ustring
- reset() : Glib::ValueBase , Glib::Timer , Glib::Checksum , Glib::IConv , Glib::RefPtr<T_CppObject> , Gio::Cancellable
- reset_property_() : Glib::PropertyProxy_Base
- reset_type_associations() : Gio::AppInfo
- reset_value() : Glib::PropertyProxy<T> , Glib::PropertyProxy_WriteOnly<T>
- resize() : Glib::ustring
- resolve_relative_path() : Gio::File
- reverse_children() : Glib::NodeTree<T>
- rewind() : Glib::Dir
- rfind() : Glib::ustring
- run() : Glib::MainLoop
- RWLock() : Glib::RWLock